Bug 593328 - virt-manager: Fix remote VNC connection with zsh on remote host
Summary: virt-manager: Fix remote VNC connection with zsh on remote host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 14:33 UTC by Cole Robinson
Modified: 2010-11-10 21:53 UTC (History)
4 users (show)

Fixed In Version: virt-manager-0.8.4-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:53:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Straight backport from upstream (1.32 KB, text/plain)
2010-05-18 15:01 UTC, Cole Robinson
no flags Details

Description Cole Robinson 2010-05-18 14:33:27 UTC
If using a remote connection with virt-manager, and the remote host has 'zsh' as the default shell, virt-manager will fail to open a VNC session. Fixed upstream with these two small commits:

http://hg.fedorahosted.org/hg/virt-manager/rev/f09702cfdb03
http://hg.fedorahosted.org/hg/virt-manager/rev/907ee61e5558

Comment 1 RHEL Program Management 2010-05-18 14:35:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Cole Robinson 2010-05-18 15:01:31 UTC
Created attachment 414884 [details]
Straight backport from upstream

Comment 3 Cole Robinson 2010-05-18 15:37:27 UTC
Fix built in virt-manager-0.8.4-3.el6

Comment 5 dyuan 2010-07-06 08:16:55 UTC
Verified PASSED with virt-manager-0.8.4-6.el6.

Comment 6 releng-rhel@redhat.com 2010-11-10 21:53:47 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.